#/*------------------------------------------------------------------------------
#--  This file is a part of the libuc, microcontroler library
#--  Copyright (C) 2011, Alexis Jeandet
#--
#--  This program is free software; you can redistribute it and/or modify
#--  it under the terms of the GNU General Public License as published by
#--  the Free Software Foundation; either version 3 of the License, or
#--  (at your option) any later version.
#--
#--  This program is distributed in the hope that it will be useful,
#--  but WITHOUT ANY WARRANTY; without even the implied warranty of
#--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#--  GNU General Public License for more details.
#--
#--  You should have received a copy of the GNU General Public License
#--  along with this program; if not, write to the Free Software
#--  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#-------------------------------------------------------------------------------
#--                 Author : Alexis Jeandet
#--                   Mail : alexis.jeandet@gmail.com
#-------------------------------------------------------------------------------*/

#---------------------------------------------------------------------------------
#       GCC EXECUTABLES
#---------------------------------------------------------------------------------
LIBUC_PREFIX = sparc-elf-
LIBUC_CC  = $(LIBUC_PREFIX)gcc
LIBUC_CXX = $(LIBUC_PREFIX)g++
LIBUC_AR  = $(LIBUC_PREFIX)ar
LIBUC_SIZE = $(LIBUC_PREFIX)size
LIBUC_READELF = $(LIBUC_PREFIX)readelf
LIBUC_OBJCOPY=$(LIBUC_PREFIX)objcopy



#---------------------------------------------------------------------------------
#       GCC FLAGS
#---------------------------------------------------------------------------------
LIBUC_FMCU              =
LIBUC_CFLAGS            = $(LIBUC_FMCU)
LIBUC_CFLAGS_WARN_ON	= -Wall
LIBUC_CFLAGS_WARN_OFF	= -w
LIBUC_CFLAGS_RELEASE	= -O2
LIBUC_CFLAGS_DEBUG	= -g
LIBUC_CFLAGS_RELEASE_WITH_DEBUGINFO += -O2 -g
LIBUC_CFLAGS_STATIC_LIB	+= -fPIC
LIBUC_CFLAGS_SOFT_FPU	= -msoft-float
LIBUC_CFLAGS_HARD_FPU	=

LIBUC_CXXFLAGS          = $(LIBUC_FMCU)
LIBUC_CXXFLAGS_WARN_ON	= -Wall
LIBUC_CXXFLAGS_WARN_OFF	= -w
LIBUC_CXXFLAGS_RELEASE	= -O2
LIBUC_CXXFLAGS_DEBUG	= -g
LIBUC_CXXFLAGS_RELEASE_WITH_DEBUGINFO += -O2 -g
LIBUC_CXXFLAGS_STATIC_LIB = -fPIC
LIBUC_CXXFLAGS_SOFT_FPU	= -msoft-float
LIBUC_CXXFLAGS_HARD_FPU	=

LIBUC_LIBS		=
LIBUC_LIBS_UART         = -luart
LIBUC_LIBS_SPI          = -lspi
LIBUC_LIBS_IIC          = -liic
LIBUC_LIBS_ADC          = -ladc
LIBUC_LIBS_APB          = -ladc

LIBUC_LIBS_DIR              = $(LIBUC)/lib/bin/LEON3
LIBUC_LIBS_DIR_UART         = -L $(LIBUC_LIBS_DIR)/UART
LIBUC_LIBS_DIR_SPI          = -L $(LIBUC_LIBS_DIR)/SPI
LIBUC_LIBS_DIR_IIC          = -L $(LIBUC_LIBS_DIR)/IIC
LIBUC_LIBS_DIR_ADC          = -L $(LIBUC_LIBS_DIR)/ADC
LIBUC_LIBS_DIR_APB          = -L $(LIBUC_LIBS_DIR)/APB


LIBUC_INC_DIR              = $(LIBUC)/lib/includes/LEON
LIBUC_INC_DIR_UART         = -L $(LIBUC_INC_DIR)/UART
LIBUC_INC_DIR_SPI          = -L $(LIBUC_INC_DIR)/SPI
LIBUC_INC_DIR_IIC          = -L $(LIBUC_INC_DIR)/IIC
LIBUC_INC_DIR_ADC          = -L $(LIBUC_INC_DIR)/ADC
LIBUC_INC_DIR_APB          = -L $(LIBUC_INC_DIR)/APB












